TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

DryReplaceOrAdd ( dry D, any source, any target ) -> dry

### Description

<shortdoc> Return the dry derived from replacing `source' in `D' by `target'.
If `source' is in `D' it is removed and `target' is added such that the result stays a dry.
If `source' is not in `D' then `target' is added such that the result stays a dry.
Note: Technically this is nothing but
DryAdd(DryRemove(D,source),target);
but it is more efficient since the dry is often not resized. </shortdoc>

### See also

DryReplace ( dry, any, any ) -> dry

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack